--
-- Copyright (C) 2022 Jonathan Certes
--
-- This program is free software: you can redistribute it and/or modify it under
-- the terms of the GNU General Public License as published by the Free Software
-- Foundation, either version 3 of the License, or (at your option) any later
-- version.
--
-- This program is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-- FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
-- details.
--
-- You should have received a copy of the GNU General Public License along with
-- this program. If not, see <http://www.gnu.org/licenses/>.
--

use work.wrapper.all;

entity testbench is
end testbench;

architecture bhv of testbench is
begin

  process
  begin
    report "foreign_myGlobalVar = " & integer'image(foreign_myGlobalVar.all);
    foreign_myGlobalVar.all := 16;  -- changing the global variable from VHDL
    report "foreign_myGlobalVar = " & integer'image(foreign_myGlobalVar.all);
    foreign_setMyGlobalVarFromC(69);
    report "foreign_myGlobalVar = " & integer'image(foreign_myGlobalVar.all);
    wait;
  end process;

end bhv;
